<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

class DataMenuStart extends DataMenuMain
{
  public function getsight($sightid = 68)
  {
    parent::getsight($sightid);
  }

  public function mainmenu()
  {
    SessionOperations::setVarValueSuche('kfs_suchegesetzt', 'false');

    $this->getsight();

    
    $this->exportadapter->export->initiate();
    $this->exportadapter->export->exportresults = array(new Datamodul());

    $this->exportadapter->filestream = $this->sight->nodata;
    $this->exportadapter->replaceVarNames();
    if ($this->toolsettings->showClickpfad) {
      
      echo $this->getClickPath();
    }

    echo " <div class='hauptseite_ohnestatus'>\n" . $this->getContentAnker();
    echo $this->exportadapter->resultlist[0];

    echo " </div>\n";
  }

  
  public function _getClickPath()
  {
    
    DataMenuMain::_getClickPath();
    
    if ($this->toolsettings->titleKursBereich != '') {
      $this->clickpfad = "<span class='clickadresse'>"
      . CleanOperations::cleanStringForHtml(stripslashes($this->toolsettings->titleKursBereich)) . '</span>';
    }

    return $this->clickpfad;
  }

  
  public function get2ndColumn()
  {
    $this->getsight();
    $this->getdataarraynocolumn();

    return $this->getnocolumn();
  }
}